default: &default
  adapter: sqlite3
  pool: <%= ENV["DB_POOL"] || ENV['MAX_THREADS'] || 5 %>
  timeout: 5000

development:
  primary:
    <<: *default
    database: db/development.sqlite3
  lndhub:
    <<: *default
    adapter: postgresql
    database_tasks: false
    host: <%= ENV["LNDHUB_PG_HOST"] || 'localhost' %>
    port: <%= ENV["LNDHUB_PG_PORT"] || 5432 %>
    database: <%= ENV["LNDHUB_PG_DATABASE"] || 'lndhub' %>
    username: <%= ENV["LNDHUB_PG_USERNAME"] || 'lndhub' %>
    password: <%= ENV["LNDHUB_PG_PASSWORD"] %>

# Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake".
# Do not set this db to the same as development or production.
test:
  primary:
    <<: *default
    database: db/test.sqlite3
  lndhub:
    <<: *default
    database_tasks: false
    database: db/test.lndhub.sqlite3

production:
  primary:
    <<: *default
    adapter: postgresql
    database: akkounts
    port: 5432
    host: <%= Rails.application.credentials.postgres[:host] rescue nil %>
    username: <%= Rails.application.credentials.postgres[:username] rescue nil %>
    password: <%= Rails.application.credentials.postgres[:password] rescue nil %>
  lndhub:
    <<: *default
    adapter: postgresql
    database_tasks: false
    host: <%= ENV["LNDHUB_PG_HOST"] || 'localhost' %>
    port: <%= ENV["LNDHUB_PG_PORT"] || 5432 %>
    database: <%= ENV["LNDHUB_PG_DATABASE"] || 'lndhub' %>
    username: <%= ENV["LNDHUB_PG_USERNAME"] || 'lndhub' %>
    password: <%= ENV["LNDHUB_PG_PASSWORD"] %>
